Package io.dapr.internal.opencensus

# Class GrpcHelper

java.lang.Object
io.dapr.internal.opencensus.GrpcHelper

public final class GrpcHelper extends Object
Helper to extract tracing information for gRPC calls.

## Method Summary

Modifier and Type
Method
Description
`static void`
`populateMetadata(reactor.util.context.ContextView context, io.grpc.Metadata metadata)`
Populates GRPC client's metadata with tracing headers.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### populateMetadata

public static void populateMetadata(reactor.util.context.ContextView context, io.grpc.Metadata metadata)
Populates GRPC client's metadata with tracing headers.

Parameters:
  `context` - Reactor's context.
  `metadata` - GRPC client metadata to be populated.